#ifndef MYX_QT_MESSAGE_LOGGER_DEFAULT_HPP_
#define MYX_QT_MESSAGE_LOGGER_DEFAULT_HPP_

#pragma once

#include <myx/backports/qt/common.hpp>
#include <myx/core/config.hpp>
#include <myx/qt/message_logger.hpp>


namespace myx {

namespace qt {

class MessageLoggerDefault : public MessageLogger
{
public:
	~MessageLoggerDefault() = default;

	void debug( const QMessageLogContext& context, const QString& msg ) override;
	void info( const QMessageLogContext& context, const QString& msg ) override;
	void warning( const QMessageLogContext& context, const QString& msg ) override;
	void critical( const QMessageLogContext& context, const QString& msg ) override;
	void fatal( const QMessageLogContext& context, const QString& msg ) override;
};

} // namespace qt

} // namespace myx

#endif // ifndef MYX_QT_MESSAGE_LOGGER_DEFAULT_HPP_
